Version 6.7.7 Source

Table Name: `tabAppraisal`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `employee_details` | Section Break |  |
2 | `kra_template` | Link | Appraisal Template Select template from which you want to get the Goals | Appraisal Template
3 | `employee` | Link | For Employee Select the Employee for whom you are creating the Appraisal. | Employee
4 | `employee_name` | Data | For Employee Name |
5 | `column_break0` | Column Break |  |
6 | `status` | Select | Status |
    Draft
    Submitted
    Completed
    Cancelled
7 | `start_date` | Date | Start Date |
8 | `end_date` | Date | End Date |
9 | `section_break0` | Section Break | Goals |
    Simple
10 | `goals` | Table | Goals | Appraisal Goal
11 | `calculate_total_score` | Button | Calculate Total Score |
    calculate_total
12 | `total_score` | Float | Total Score (Out of 5) |
13 | `section_break1` | Section Break |  |
14 | `remarks` | Text | Remarks Any other remarks, noteworthy effort that should go in the records. |
15 | `other_details` | Section Break |  |
16 | `company` | Link | Company | Company
17 | `column_break_17` | Column Break |  |
18 | `fiscal_year` | Link | Fiscal Year | Fiscal Year
19 | `amended_from` | Link | Amended From | Appraisal

### Controller

#### erpnext.hr.doctype.appraisal.appraisal

### Class Appraisal

Inherits from frappe.model.document.Document

calculate_total (self)

No docs

get_employee_name (self)

No docs

on_cancel (self)

No docs

on_submit (self)

No docs

validate (self)

No docs

validate_dates (self)

No docs

validate_existing_appraisal (self)

No docs

Public API
`/api/method/erpnext.hr.doctype.appraisal.appraisal.fetch_appraisal_template`

erpnext.hr.doctype.appraisal.appraisal.fetch_appraisal_template (source_name, target_doc=None)

No docs

#### Linked In:

- Appraisal